\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{amsmath, amsthm, amssymb}

\begin{document}
\begin{center}
  \begin{tabular}{r|cr@{$.$}l}
    \multicolumn{1}{c}{}
    &\textit{type} 
    &\multicolumn{2}{c}{\textit{cost}}  \\
    \cline{2-4}
    screw &\( 1/4 \) inch  &\( 1 \)  &\( 40 \) \\
    nut   &\( 1/4 \) inch  &         &\( 25 \) 
  \end{tabular}
\end{center}
\end{document}     
